/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.stocktaking.view;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class KardexInStocktakingView implements Serializable {

    private static final long serialVersionUID = -6288786958693094307L;

    private String id;
    private Date fecha;
    private String proveedor;
    private int cantidad;
    private String producto;
    private String code;
    private Float precioMayoreo;
    private Float precioMenudeo;
    private float total;
    private String comentarios;
    private String usuario;
    private String compra;
    private String nombreTaxi;
    private Float iva;
    private String providerId;
    private String productId;
    private String taxiId;
    private String commercialInvoiceStatus;

    public KardexInStocktakingView() {
    }

    public KardexInStocktakingView(String id) {
        this.id = id;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getProveedor() {
        return proveedor;
    }

    public void setProveedor(String proveedor) {
        this.proveedor = proveedor;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public String getProducto() {
        return producto;
    }

    public void setProducto(String producto) {
        this.producto = producto;
    }

    public Float getPrecioMayoreo() {
        if(iva > 0F)
        {
           return (float) (precioMayoreo * 1.16);
        }
        return precioMayoreo;
    }

    public void setPrecioMayoreo(Float precioMayoreo) {
        this.precioMayoreo = precioMayoreo;
    }

    public Float getPrecioMenudeo() {
        return precioMenudeo;
    }

    public void setPrecioMenudeo(Float precioMenudeo) {
        this.precioMenudeo = precioMenudeo;
    }

    public float getTotal() {
        if(iva > 0F)
        {
            return (float) (total * 1.16);
        }
        return total;
    }

    public void setTotal(float total) {
        this.total = total;
    }

    public String getComentarios() {
        return comentarios;
    }

    public void setComentarios(String comentarios) {
        this.comentarios = comentarios;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public String getCompra() {
        return compra;
    }

    public void setCompra(String compra) {
        this.compra = compra;
    }

    public String getNombreTaxi() {
        return nombreTaxi;
    }

    public void setNombreTaxi(String nombreTaxi) {
        this.nombreTaxi = nombreTaxi;
    }
    
    public float getUtility(){
        return cantidad * (getPrecioMenudeo() - getPrecioMayoreo());
    }

    public Float getIva() {
        return iva;
    }

    public void setIva(Float iva) {
        this.iva = iva;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTaxiId() {
        return taxiId;
    }

    public void setTaxiId(String taxiId) {
        this.taxiId = taxiId;
    }

    public String getCommercialInvoiceStatus() {
        return commercialInvoiceStatus;
    }

    public void setCommercialInvoiceStatus(String commercialInvoiceStatus) {
        this.commercialInvoiceStatus = commercialInvoiceStatus;
    }

    
    
}
